Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
Interface MinimalJavadocOptions

All Known Implementing Classes:
  CoreJavadocOptions, StandardJavadocDocletOptions

    public interface MinimalJavadocOptions

Method Summary
`MinimalJavadocOptions` | `bootClasspath(java.io.File... bootClasspath)`
`MinimalJavadocOptions` | `breakIterator()`
`MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
`MinimalJavadocOptions` | `classpath(java.io.File... classpath)`
`MinimalJavadocOptions` | `classpath(java.util.List<java.io.File> classpath)`
`void` | `contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)`
`MinimalJavadocOptions` | `destinationDirectory(java.io.File directory)`
`MinimalJavadocOptions` | `doclet(java.lang.String docletClass)`
`MinimalJavadocOptions` | `docletClasspath(java.io.File... docletClasspath)`
`MinimalJavadocOptions` | `encoding(java.lang.String encoding)`
`MinimalJavadocOptions` | `exclude(java.lang.String... exclude)`
`MinimalJavadocOptions` | `extDirs(java.io.File... extDirs)`
`java.util.List<java.io.File>` | `getBootClasspath()`
`java.util.List<java.io.File>` | `getClasspath()`
`java.io.File` | `getDestinationDirectory()`
`java.lang.String` | `getDoclet()`
`java.util.List<java.io.File>` | `getDocletClasspath()`
`java.lang.String` | `getEncoding()`
`java.util.List<java.lang.String>` | `getExclude()`
`java.util.List<java.io.File>` | `getExtDirs()`
`java.util.List<java.lang.String>` | `getJFlags()`
`java.lang.String` | `getLocale()`
`JavadocMemberLevel` | `getMemberLevel()`
`java.util.List<java.io.File>` | `getOptionFiles()`
`JavadocOutputLevel` | `getOutputLevel()`
`java.lang.String` | `getOverview()`
`java.util.List<java.lang.String>` | `getPackageNames()`
`java.lang.String` | `getSource()`
`java.util.List<java.lang.String>` | `getSourceNames()`
`java.util.List<java.io.File>` | `getSourcepath()`
`java.util.List<java.lang.String>` | `getSubPackages()`
`java.lang.String` | `getWindowTitle()`
`boolean` | `isBreakIterator()`
`boolean` | `isVerbose()`
`MinimalJavadocOptions` | `jFlags(java.lang.String... jFlags)`
`MinimalJavadocOptions` | `locale(java.lang.String locale)`
`MinimalJavadocOptions` | `optionFiles(java.io.File... argumentFiles)`
`MinimalJavadocOptions` | `overview(java.lang.String overview)`
`MinimalJavadocOptions` | `packageNames(java.lang.String... packageNames)`
`MinimalJavadocOptions` | `quiet()`
`void` | `setBootClasspath(java.util.List<java.io.File> bootClasspath)`
`void` | `setBreakIterator(boolean breakIterator)`
`void` | `setClasspath(java.util.List<java.io.File> classpath)`
`void` | `setDestinationDirectory(java.io.File directory)`
`void` | `setDoclet(java.lang.String docletClass)`
`void` | `setDocletClasspath(java.util.List<java.io.File> docletClasspath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setExclude(java.util.List<java.lang.String> exclude)`
`void` | `setExtDirs(java.util.List<java.io.File> extDirs)`
`void` | `setJFlags(java.util.List<java.lang.String> jFlags)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
`void` | `setOptionFiles(java.util.List<java.io.File> optionFiles)`
`void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
`void` | `setOverview(java.lang.String overview)`
`void` | `setPackageNames(java.util.List<java.lang.String> packageNames)`
`void` | `setSource(java.lang.String source)`
`void` | `setSourceNames(java.util.List<java.lang.String> sourceNames)`
`void` | `setSourcepath(java.util.List<java.io.File> sourcepath)`
`void` | `setSubPackages(java.util.List<java.lang.String> subPackages)`
`void` | `setWindowTitle(java.lang.String windowTitle)`
`MinimalJavadocOptions` | `showAll()`
`MinimalJavadocOptions` | `showFromPackage()`
`MinimalJavadocOptions` | `showFromPrivate()`
`MinimalJavadocOptions` | `showFromProtected()`
`MinimalJavadocOptions` | `showFromPublic()`
`MinimalJavadocOptions` | `source(java.lang.String source)`
`MinimalJavadocOptions` | `sourceNames(java.lang.String... sourceNames)`
`MinimalJavadocOptions` | `sourcepath(java.io.File... sourcepath)`
`MinimalJavadocOptions` | `sourcepath(java.util.List<java.io.File> sourcepath)`
`MinimalJavadocOptions` | `subPackages(java.lang.String... subPackages)`
`MinimalJavadocOptions` | `verbose()`
`StandardJavadocDocletOptions` | `windowTitle(java.lang.String windowTitle)`
`void` | `write(java.io.File outputFile)`

Method Detail

### getOverview

    java.lang.String getOverview()

### setOverview

    void setOverview(java.lang.String overview)

### overview

    MinimalJavadocOptions overview(java.lang.String overview)

### getMemberLevel

    JavadocMemberLevel getMemberLevel()

### setMemberLevel

    void setMemberLevel(JavadocMemberLevel memberLevel)

### showFromPublic

    MinimalJavadocOptions showFromPublic()

### showFromProtected

    MinimalJavadocOptions showFromProtected()

### showFromPackage

    MinimalJavadocOptions showFromPackage()

### showFromPrivate

    MinimalJavadocOptions showFromPrivate()

### showAll

    MinimalJavadocOptions showAll()

### getDoclet

    java.lang.String getDoclet()

### setDoclet

    void setDoclet(java.lang.String docletClass)

### doclet

    MinimalJavadocOptions doclet(java.lang.String docletClass)

### getDocletClasspath

    java.util.List<java.io.File> getDocletClasspath()

### setDocletClasspath

    void setDocletClasspath(java.util.List<java.io.File> docletClasspath)

### docletClasspath

    MinimalJavadocOptions docletClasspath(java.io.File... docletClasspath)

### getSource

    java.lang.String getSource()

### setSource

    void setSource(java.lang.String source)

### source

    MinimalJavadocOptions source(java.lang.String source)

### getSourcepath

    java.util.List<java.io.File> getSourcepath()

### setSourcepath

    void setSourcepath(java.util.List<java.io.File> sourcepath)

### sourcepath

    MinimalJavadocOptions sourcepath(java.util.List<java.io.File> sourcepath)

### sourcepath

    MinimalJavadocOptions sourcepath(java.io.File... sourcepath)

### getClasspath

    java.util.List<java.io.File> getClasspath()

### setClasspath

    void setClasspath(java.util.List<java.io.File> classpath)

### classpath

    MinimalJavadocOptions classpath(java.util.List<java.io.File> classpath)

### classpath

    MinimalJavadocOptions classpath(java.io.File... classpath)

### getSubPackages

    java.util.List<java.lang.String> getSubPackages()

### setSubPackages

    void setSubPackages(java.util.List<java.lang.String> subPackages)

### subPackages

    MinimalJavadocOptions subPackages(java.lang.String... subPackages)

### getExclude

    java.util.List<java.lang.String> getExclude()

### setExclude

    void setExclude(java.util.List<java.lang.String> exclude)

### exclude

    MinimalJavadocOptions exclude(java.lang.String... exclude)

### getBootClasspath

    java.util.List<java.io.File> getBootClasspath()

### setBootClasspath

    void setBootClasspath(java.util.List<java.io.File> bootClasspath)

### bootClasspath

    MinimalJavadocOptions bootClasspath(java.io.File... bootClasspath)

### getExtDirs

    java.util.List<java.io.File> getExtDirs()

### setExtDirs

    void setExtDirs(java.util.List<java.io.File> extDirs)

### extDirs

    MinimalJavadocOptions extDirs(java.io.File... extDirs)

### getOutputLevel

    JavadocOutputLevel getOutputLevel()

### setOutputLevel

    void setOutputLevel(JavadocOutputLevel outputLevel)

### verbose

    MinimalJavadocOptions verbose()

### isVerbose

    boolean isVerbose()

### quiet

    MinimalJavadocOptions quiet()

### isBreakIterator

    boolean isBreakIterator()

### setBreakIterator

    void setBreakIterator(boolean breakIterator)

### breakIterator

    MinimalJavadocOptions breakIterator(boolean breakIterator)

### breakIterator

    MinimalJavadocOptions breakIterator()

### getLocale

    java.lang.String getLocale()

### setLocale

    void setLocale(java.lang.String locale)

### locale

    MinimalJavadocOptions locale(java.lang.String locale)

### getEncoding

    java.lang.String getEncoding()

### setEncoding

    void setEncoding(java.lang.String encoding)

### encoding

    MinimalJavadocOptions encoding(java.lang.String encoding)

### getJFlags

    java.util.List<java.lang.String> getJFlags()

### setJFlags

    void setJFlags(java.util.List<java.lang.String> jFlags)

### jFlags

    MinimalJavadocOptions jFlags(java.lang.String... jFlags)

### getOptionFiles

    java.util.List<java.io.File> getOptionFiles()

### setOptionFiles

    void setOptionFiles(java.util.List<java.io.File> optionFiles)

### optionFiles

    MinimalJavadocOptions optionFiles(java.io.File... argumentFiles)

### getDestinationDirectory

    java.io.File getDestinationDirectory()

### setDestinationDirectory

    void setDestinationDirectory(java.io.File directory)

### destinationDirectory

    MinimalJavadocOptions destinationDirectory(java.io.File directory)

### getWindowTitle

    java.lang.String getWindowTitle()

### setWindowTitle

    void setWindowTitle(java.lang.String windowTitle)

### windowTitle

    StandardJavadocDocletOptions windowTitle(java.lang.String windowTitle)

### write

    void write(java.io.File outputFile)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPackageNames

    java.util.List<java.lang.String> getPackageNames()

### setPackageNames

    void setPackageNames(java.util.List<java.lang.String> packageNames)

### packageNames

    MinimalJavadocOptions packageNames(java.lang.String... packageNames)

### getSourceNames

    java.util.List<java.lang.String> getSourceNames()

### setSourceNames

    void setSourceNames(java.util.List<java.lang.String> sourceNames)

### sourceNames

    MinimalJavadocOptions sourceNames(java.lang.String... sourceNames)

### contributeCommandLineOptions

    void contributeCommandLineOptions(ExecHandleBuilder execHandleBuilder)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD